/* Control the different menu-popups for Thunderbird/mail
 * 	for References, Reminders and ICS-attachements
 * 
 *	@thisId	indicates the 'source' or the id of the menu called from
 * 	attachmentListContext 	('List')
 * 	threadPaneContext 		('Thread')
 * 	messagePaneContext 		('Msg')
 */

// eventListener for "messagePaneContext"
window.addEventListener('popupshowing', rmFxPopupCheck1, false); 

function rmFxPopupCheck1(thisId){
	//	reminderFox_logMessageLevel("rmFxPopupCheckXX: "
	//	+ "\n elementXX: " + thisId.explicitOriginalTarget.id, 2);
		
	if (thisId.explicitOriginalTarget.id == "messagePaneContext" ) {
		rmFxPopupCheck("messagePaneContext");}
}

function rmFxPopupCheck(thisId){
	var element = document.popupNode;
	//	reminderFox_logMessageLevel("rmFxPopupCheck0: " + thisId.id
	//	+ "\n element: " + element
	//	+ "\n element 00: " + element.ownerDocument.documentElement.id, 2);
	
	var dMode = true;
	
	if (thisId.id == "threadPaneContext") 		{ var xulId = "Thread";}
	if (thisId.id == "messagePaneContext") 	{ var xulId = "Msg";}
	if (thisId.id == "attachmentListContext") { var xulId = "List";}
 
	if ((xulId == "Msg") || (xulId == "List")) {
	// ----  check 'attachment(s)' for ICS reminders  ----
	
		if (currentAttachments.length > 0) { 
			var i=0;
			while (i < currentAttachments.length) {		
				if ((currentAttachments[i].contentType == "text/calendar") 	/* 'normal apps */					
				 || (currentAttachments[i].contentType == "application/ics") /* Google Calendar */ 	
					) {dMode = false;}
		/*
		0001: currentAttachments[1].contentType = [string] "application/octet-stream"
		0001: currentAttachments[1].displayName = [string] "c124447.ics"
		*/
				if ((currentAttachments[i].contentType == "application/octet-stream") 
				 && (currentAttachments[i].displayName.toLowerCase().search(".ics")>-1 )) {
					{dMode = false;}
				}					
				i++;
			}		
		}	
		if (dMode == false) {
			document.getElementById("mailRm_ICS_" +xulId).removeAttribute("disabled");
		} else {
			document.getElementById("mailRm_ICS_" +xulId).setAttribute("disabled", "true");			
		}
	}
	
	if ((xulId == "Thread") || (xulId == "Msg")) {
	// ---- check message for 'References' and/or 'reminder.Id'  ---- 		
	
		if (rmFxGetRmRef().length > 0) {
			document.getElementById("mailRm_Open_" +xulId).removeAttribute("disabled");
		} else {
			document.getElementById("mailRm_Open_" +xulId).setAttribute("disabled", "true");			
		}										
	}
}
