/*		rmFx_msgTagging.js   			//gW - 2008-04-14
 *
 * 	supports Thunderbird tagging messages
 *
 * 2008-04-14		deleting tag from message was adding it to the general tag-list
 *  */

function rmFx_msgTAGing(tagName, opTag, tagColor, messageDBHDR) {
//------ NO capital letters for 'tagName' !! 
	tagName = tagName.toLowerCase();

	var tb_prefs = Components.classes["@mozilla.org/preferences-service;1"].
            getService(Components.interfaces.nsIPrefBranch);	
	var tbVersion = tb_prefs.getCharPref("general.useragent.extra.thunderbird");

	try { 
		if (tbVersion.search("Thunderbird/1.") == -1) { 			
			var tagService = Components.classes["@mozilla.org/messenger/tagservice;1"]
		                         .getService(Components.interfaces.nsIMsgTagService);
			var exists = tagService.getKeyForTag( tagName);
			if (( exists == null || exists == "" ) && (opTag==true)){
			  	 tagService.addTag( tagName, tagColor,' ');   //  "#993399", ' ' );
			}
			if (messageDBHDR == null) { // if NO Hdr data, then used standard ToggleMessageTag
				ToggleMessageTag(tagName, opTag)
			} else { 						//  else, we have the msg-URI
				rmFx_msgTagwHdr(tagName, opTag, messageDBHDR)
			} 
		} else   {
			goDoCommand("cmd_label5") 	// goDoCommand("cmd_label" + labelTag) 	
		}
	} catch ( e ) {
		alert ("RmFx_wRm: Tagging error\n\n" + e);
	}	                         
}

// this is used to 'tag' ONE msg, if the msgHdr is known
//		 messageDBHDR.messageKey = [integer] 1499427
//		 selectedMsgUris[0] = [string] "mailbox-message://nobody@Local%20Folders/Sent#1499427"

function rmFx_msgTagwHdr(key, opTag, msgHdr) 
{
	var messages = Components.classes["@mozilla.org/supports-array;1"]
                           .createInstance(Components.interfaces.nsISupportsArray);
	var msg = Components.classes["@mozilla.org/supports-array;1"]
                          .createInstance(Components.interfaces.nsISupportsArray);

	var toggler = opTag ? "addKeywordsToMessages" : "removeKeywordsFromMessages";
	var prevHdrFolder = null;

	if (msgHdr.label)		// remove TB 1.5 header labels
	{
		msg.Clear();
	   msg.AppendElement(msgHdr);
	   msgHdr.folder.addKeywordsToMessages(msg, "$label" + msgHdr.label);
	   msgHdr.label = 0; // remove legacy label
	}
	messages.Clear();
	prevHdrFolder = msgHdr.folder;
	messages.AppendElement(msgHdr);
	prevHdrFolder[toggler](messages, key);
}
